aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--HACKING5
-rwxr-xr-xtools/initial.sh37
2 files changed, 42 insertions, 0 deletions
diff --git a/HACKING b/HACKING
index d6a6b5b..9e7b92a 100644
--- a/HACKING
+++ b/HACKING
@@ -86,6 +86,11 @@ wget http://openocd.zylin.com/tools/hooks/commit-msg
mv commit-msg .git/hooks
chmod +x .git/hooks/commit-msg
@endcode
+@b NOTE A script exists to simplify the two items above. execute:
+@code
+tools/initial.sh <username>
+@endcode
+With <username> being your Gerrit username.
-# Set up git with your name and email:
@code
git config --global user.name "John Smith"
diff --git a/tools/initial.sh b/tools/initial.sh
new file mode 100755
index 0000000..c183d01
--- /dev/null
+++ b/tools/initial.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+TOPDIR=`pwd`
+USERNAME=$1
+
+if [ "x$1" = "x" ] ; then
+ echo "Usage: $0 <Username>"
+ exit 1
+fi
+
+add_remote()
+{
+ remote_exist=`grep remote .git/config | grep review | wc -l`
+ if [ "x$remote_exist" = "x0" ] ; then
+ git remote add review ssh://$USERNAME@openocd.zylin.com:29418/openocd.git
+ git config remote.review.push HEAD:refs/for/master
+ else
+ echo "Remote review exists"
+ fi
+}
+
+update_commit_msg()
+{
+ cd ${TOPDIR}/.git/hooks
+ save_file=commit-msg-`date +%F-%T`
+ mv commit-msg $save_file
+ printf "%-30s" "Updating commit-msg"
+ status="OK"
+ wget -o log http://openocd.zylin.com/tools/hooks/commit-msg || status="FAIL"
+ echo $status
+ if [ $status = "FAIL" ] ; then
+ mv $save_file commit-msg
+ fi
+ chmod a+x commit-msg
+}
+
+add_remote
+update_commit_msg